jm_gallery admin problem

  • 0 x
    9 Beiträge
    0 Hilfreiche Beiträge
    13. 07. 2006, 22:38

    Hallo Zusammen !

    Habe mir heute die jm_gallery installiert:
    Liste, Album und Einzelansicht (nicht im Menü, jm_gallery plugin) und jeweils den gleichen Sysfolder (Gallery-SysFolder) angegeben. Das gleiche mit einer Seite names Admin (im Menü, jm_gallery plugin, admin, gallery-sysfolder). Dann im Template der Root-Seite folgenden Typo-Script im Constants-Feld:

    plugin.tx_jmgallery_pi1.list_pid = 199
    plugin.tx_jmgallery_pi1.album_pid = 201
    plugin.tx_jmgallery_pi1.single_pid = 200
    plugin.tx_jmgallery_pi1.properties_pid = 199

    und das Static Template (css-based template) eingebunden.
    Im Sysfolder habe ich eine Album und eine Categorie angelegt. Beim Album auch den Standard Upload Ordner angegeben ( fileadmin/pics ) und das Album der Categorie zugewiesen.

    Wenn ich im Frontend nun auf meine Gallery gehe sehe ich die Kategorie und das darin enthaltene einzelne Album, natürlich noch ohne Bilder.

    Lange Rede, kurzer Sinn, hier das Problem:
    Bei Klick auf "Admin" erhalte ich folgende Fehlermeldung:

    Fatal error: Call to undefined function: html_entity_decode() in /var/www/web/typo3conf/ext/jm_gallery/pi1/class.tx_jmgallery_view_Admin.php on line 369

    in der Zeile 369 steht:

    function wrapCategoryInHTML($template, $code, $object)
    $marks["###CATEGORY_NAME###"] = html_entity_decode($object->getName());

    ich bin ratlos.....ein Category Name habe ich im Sysfolder, der auch richtig verlinkt ist, angelegt.....woran es sonst liegen kann - ich weiss es nicht.
    Hab nochmal das komplette jw_gallery gelöscht, neue installiert und alles nochmal eingerichtet (bin dabei auch nach Dokumentation und dem Video vorgegangen).....

    hat jemand eine Idee ???
    herzlichen Dank im Voraus

    Markus


  • 1
  • m00re m00re
    R2-D2
    0 x
    80 Beiträge
    0 Hilfreiche Beiträge
    14. 07. 2006, 09:03

    Hi!

    Also html_entity_decode ist laut php.net seit PHP 4.3.0 verfügbar. Das sich dein PHP Parser beschwert, liegt wohl daran dass du eine niedrigere Version hast.

    Ein Upgrade deiner PHP Version ist also unumgänglich. Da du kein Major Upgrade auf Version 5 machen musst sollte es auch kein Sicherheitsproblem geben. Wohl eher wurde in neuen 4er Versionen alte Sicherheitslöcher gestopft.

    Gruß Jens

  • kingpin kingpin
    Padawan
    0 x
    46 Beiträge
    0 Hilfreiche Beiträge
    29. 07. 2006, 01:37

    Hallo Leute ich ahb auch mal noch ne Frage zur jm_gallery (die übrigens sehr gelungen ist)! Wie kann ich die Sprache ins Deutsche bekommen? Also die Buttons z.B. in der Einzelansichht mit nächstes Bild usw. ???

    Danke für eure Hilfe!

  • 1